<form *ngIf="user" [formGroup]="entityForm" (ngSubmit)="submit()">
  <div class="form-group">
    <label>
      Username
    </label>
    <input class="form-control" placeholder="username" type="text" formControlName="username">
    <small *ngIf="entityForm.controls['username'].dirty" style="color: red">{{ getErrors($any(entityForm.controls['username'])) }}</small>
  </div>
  <div class="form-group" *ngIf="!edit">
    <label>
      Password
    </label>
    <input class="form-control" placeholder="Password" type="password" formControlName="password">
    <small *ngIf="entityForm.controls['password'].dirty" style="color: red">{{ getErrors($any(entityForm.controls['password'])) }}</small>
  </div>
  <div class="form-group">
    <label>
      Email
    </label>
    <input class="form-control" placeholder="Email" type="text" formControlName="email">
    <small *ngIf="entityForm.controls['email'].dirty" style="color: red">{{ getErrors($any(entityForm.controls['email'])) }}</small>
  </div>
  <div class="form-group">
    <label>
      City
    </label>
    <input class="form-control" placeholder="city" type="text" [formControl]="$any(getAddressGroup.controls['city'])">
    <small *ngIf="entityForm.controls['city'].dirty" style="color: red">
      {{ getErrors($any(getAddressGroup.controls['city'])) }}
    </small>
  </div>
  <div class="form-group">
    <label>
      country
    </label>
    <input class="form-control" placeholder="country" type="text" [formControl]="$any(getAddressGroup.controls['country'])">
    <small *ngIf="entityForm.controls['country'].dirty" style="color: red">
      {{ getErrors($any(getAddressGroup.controls['country'])) }}
    </small>
  </div>
  <div class="form-group">
    <label>
      country
    </label>
    <input class="form-control" placeholder="country" type="text" [formControl]="$any(getAddressGroup.controls['country'])">
    <small *ngIf="entityForm.controls['country'].dirty" style="color: red">
      {{ getErrors($any(getAddressGroup.controls['country'])) }}
    </small>
  </div>
  <div class="form-group">
    <label>
      state
    </label>
    <input class="form-control" placeholder="state" type="text" [formControl]="$any(getAddressGroup.controls['state'])">
    <small *ngIf="entityForm.controls['state'].dirty" style="color: red">
      {{ getErrors($any(getAddressGroup.controls['state'])) }}
    </small>
  </div>
  <div class="form-group">
    <label>
      street
    </label>
    <input class="form-control" placeholder="street" type="text" [formControl]="$any(getAddressGroup.controls['street'])">
    <small *ngIf="entityForm.controls['street'].dirty" style="color: red">
      {{ getErrors($any(getAddressGroup.controls['street'])) }}
    </small>
  </div>
  <div class="form-group">
    <label>
      number
    </label>
    <input class="form-control" placeholder="number" type="number" [formControl]="$any(getAddressGroup.controls['number'])">
    <small *ngIf="entityForm.controls['number'].dirty" style="color: red">
      {{ getErrors($any(getAddressGroup.controls['number'])) }}
    </small>
  </div>
  <div class="form-group">
    <label>
      zipCode
    </label>
    <input class="form-control" placeholder="zipCode" type="number" [formControl]="$any(getAddressGroup.controls['zipCode'])">
    <small *ngIf="entityForm.controls['zipCode'].dirty" style="color: red">
      {{ getErrors($any(getAddressGroup.controls['zipCode'])) }}
    </small>
  </div>
</form>
